#!/bin/sh

Err_report() {
   case $1 in
      warn) print -u2 "$PROGNAME warning: $2,continuing ..."
            sleep 2
            return
            ;;
      fail) print -u2 "$PROGNAME failure: $2."
            exit 2
            ;;
      info) print -u2 "$PROGNAME        : $2."
            return
            ;;
   esac
}



#### MAIN ####

echo "Running fp1 post-script"

#
# Set CANDLEHOME
#
#[ -n "$CANDLEHOME" ] || CANDLEHOME=$(cd $(dirname $0) ; dirname $(pwd) )
#export CANDLEHOME

if [ ! -d "$CANDLEHOME" ]
then
   Err_report fail "Cannot set CANDLEHOME environment variable"
fi


# figure out TEMS name
TEMS_ID=`grep CELLNAME $CANDLEHOME/config/.ConfigData/kmsenv | grep -v PLACEHOLDER | awk -F'|' '{print $1}'`

# update files
echo "Updating files in TECLIB"
cp $CANDLEHOME/tmp/fp1_tec/kib.baroc $CANDLEHOME/tables/$TEMS_ID/TECLIB/kib.baroc
cp $CANDLEHOME/tmp/fp1_tec/om_tec.config $CANDLEHOME/tables/$TEMS_ID/TECLIB/om_tec.config

echo "Finished"
