#!/bin/sh

Err_report() {
   case $1 in
      warn) print -u2 "$PROGNAME warning: $2,continuing ..."
            sleep 2
            return
            ;;
      fail) print -u2 "$PROGNAME failure: $2."
            exit 2
            ;;
      info) print -u2 "$PROGNAME        : $2."
            return
            ;;
   esac
}



#### MAIN ####

echo "Running fp1 pre-script"

#
# Set CANDLEHOME
#
#[ -n "$CANDLEHOME" ] || CANDLEHOME=$(cd $(dirname $0) ; dirname $(pwd) )
#export CANDLEHOME

if [ ! -d "$CANDLEHOME" ]
then
   Err_report fail "Cannot set CANDLEHOME environment variable"
fi


# figure out TEMS name
TEMS_ID=`grep CELLNAME $CANDLEHOME/config/.ConfigData/kmsenv | grep -v PLACEHOLDER | awk -F'|' '{print $1}'`

# construct time and date when fp is being applied
FP01_DATE=`date '+%y-%m-%d-%H_%M'`

# make backups

echo "Making backups of files being updated in TECLIB"
cp $CANDLEHOME/tables/$TEMS_ID/TECLIB/kib.baroc $CANDLEHOME/tables/$TEMS_ID/TECLIB/kib.baroc.before.$FP01_DATE
cp $CANDLEHOME/tables/$TEMS_ID/TECLIB/om_tec.config $CANDLEHOME/tables/$TEMS_ID/TECLIB/om_tec.config.before.$FP01_DATE

echo "Finished"
